Bug 1633197 - Line comments are not posted in create_review()
Summary: Line comments are not posted in create_review()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-PyGithub
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 12:02 UTC by Brian J. Murrell
Modified: 2018-10-30 17:19 UTC (History)
4 users (show)

Fixed In Version: python-PyGithub-1.39-4.fc27 python-PyGithub-1.39-4.fc28 python-PyGithub-1.39-4.el7 python-PyGithub-1.39-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-14 23:29:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github PyGithub PyGithub pull 909 None None None 2018-09-26 12:03:21 UTC

Description Brian J. Murrell 2018-09-26 12:02:41 UTC
Description of problem:
When create_review() is called with comments in the comments argument,
they are not actually posted in the API call.

Version-Release number of selected component (if applicable):
python2-pygithub-0:1.39-1.el7.noarch

How reproducible:
100%

Upstream has applied a fix in:

https://github.com/PyGithub/PyGithub/commit/a18eeb3a0529bd67123eb025a6e251884e814fec

If we could please get a new release (ASAP) adding that patch, it would be most appreciated.

Comment 1 Fedora Update System 2018-10-03 20:17:20 UTC
python-PyGithub-1.39-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8cdb49e5d

Comment 2 Fedora Update System 2018-10-03 20:17:30 UTC
python-PyGithub-1.39-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7df3c8f9c2

Comment 3 Fedora Update System 2018-10-03 20:17:40 UTC
python-PyGithub-1.39-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bf6863f073

Comment 4 Fedora Update System 2018-10-03 20:17:50 UTC
python-PyGithub-1.39-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ad8714527c

Comment 5 Fedora Update System 2018-10-04 18:01:39 UTC
python-PyGithub-1.39-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7df3c8f9c2

Comment 6 Fedora Update System 2018-10-04 19:43:39 UTC
python-PyGithub-1.39-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bf6863f073

Comment 7 Fedora Update System 2018-10-04 21:05:12 UTC
python-PyGithub-1.39-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ad8714527c

Comment 8 Fedora Update System 2018-10-04 21:11:14 UTC
python-PyGithub-1.39-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8cdb49e5d

Comment 9 Fedora Update System 2018-10-14 23:29:02 UTC
python-PyGithub-1.39-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-14 23:38:58 UTC
python-PyGithub-1.39-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-10-19 15:41:24 UTC
python-PyGithub-1.39-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-30 17:19:08 UTC
python-PyGithub-1.39-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.